<!-- Form Heading -->
<div class="hd-modal-header text-center">
    Register to Join HappyDev
</div>

<!-- Prompt to switch between developer and company registration -->
<div class="switch-group text-center" *ngIf="_isDeveloperAccount">
    Looking to hire?
    <a (click)="_onClickRegisterAsHiringCompany()" id="registerAsHiringCompany">
        Register as a hiring company
    </a>
</div>
<div class="switch-group text-center" *ngIf="!_isDeveloperAccount && !_accountCreated">
    Are you a dev?
    <a (click)="_onClickRegisterAsDeveloper()" id="registerAsDeveloper">
        Register as a developer
    </a>
</div>

<!-- Success message revealed when registering an account as a company -->
<div class='success-wrap' *ngIf="_accountCreated" id="accountCreated">
    <div class="success-icon">
        <span class="fa fa-check-circle-o"></span>
    </div>
    <div class="success-text">
        <h2>Account Successfully Created!</h2>
        <p>
            Thanks for registering {{_form.value.first_name}}, we'll notify you know
            when your company account with HappyDev is ready!
        </p>
    </div>
</div>

<!-- Account registration form -->
<form [formGroup]="_form" (ngSubmit)="_onSubmit()" *ngIf="!_accountCreated">
    <!-- First name field -->
    <div class="row">
        <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState.first_name)">
            <label for="first_name">First Name</label>
            <input type="text" id="first_name" class="form-control" formControlName="first_name" />
            <form-field-errors id="first_nameErrors" [field]="_formState.first_name"></form-field-errors>
        </div>
    </div>

    <!-- Last name field -->
    <div class="row">
        <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState.last_name)">
            <label for="last_name">Last Name</label>
            <input type="text" id="last_name" class="form-control" formControlName="last_name" />
            <form-field-errors id="last_nameErrors" [field]="_formState.last_name"></form-field-errors>
        </div>
    </div>

    <!-- Company field (if this is a company account) -->
    <div class="row" *ngIf="!_isDeveloperAccount">
        <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState.company)">
            <label for="company">Company</label>
            <input type="text" id="company" class="form-control" formControlName="company" />
            <form-field-errors id="companyErrors" [field]="_formState.company"></form-field-errors>
        </div>
    </div>

    <!-- Email field -->
    <div class="row">
        <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState.email)">
            <label for="email">Email</label>
            <input type="text" id="email" class="form-control" formControlName="email" />
            <form-field-errors id="emailErrors" [field]="_formState.email"></form-field-errors>
        </div>
    </div>

    <!-- Password field -->
    <div class="row">
        <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState.password)">
            <label for="password">Password</label>
            <input type="password" id="password" class="form-control" formControlName="password" />
            <form-field-errors id="passwordErrors" [field]="_formState.password"></form-field-errors>
        </div>
    </div>

    <!-- ReCaptcha field -->
    <div class="recaptcha text-center">
        <re-captcha style="display: inline-block" (captchaResponse)="_handleCorrectCaptcha($event)"
                site_key="6LdzUw8UAAAAAIOUpe8vWtJK4Y2-AknxNnZySHSR"></re-captcha>
        <div *ngIf="_formState.recaptcha.error" class="help-block" id="recaptchaError">
            {{ _formState.recaptcha.error }}
        </div>
    </div>

    <!-- Unexpected error message -->
    <div class="row" *ngIf="_unexpectedError" id="unexpectedError">
        <div class="col-xs-12 form-group has-error has-feedback">
            Oops! An unexpected error occurred - please contact support@happydev.io
        </div>
    </div>

    <!-- Get Started button -->
    <div class="row">
        <div class="col-xs-12 text-center">
            <button type="submit" class="btn btn-hd-orange"
                    [disabled]="!_form.valid" id="getStartedButton">Get Started</button>
        </div>
    </div>
</form>
